Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
Class NodeChild

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.NodeChild

All Implemented Interfaces:
  Buildable, GroovyObject, Writable

    public class NodeChild
    extends GPathResult

Lazy evaluated representation of a child node.

Author:
  John Wilson

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class groovy.util.slurpersupport.GPathResult
`name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

Constructor Summary
Constructor and Description
`NodeChild(Node node, GPathResult parent, Map<String,String> namespaceTagHints)`
`NodeChild(Node node, GPathResult parent, String namespacePrefix, Map<String,String> namespaceTagHints)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`protected void` | `appendNode(Object newValue)`
`Map` | `attributes()`
`void` | `build(GroovyObject builder)`
`Iterator` | `childNodes()`
`GPathResult` | `find(Closure closure)`
`GPathResult` | `findAll(Closure closure)`
`Object` | `getAt(int index)`
`Iterator` | `iterator()`
`String` | `namespaceURI()`
`Iterator` | `nodeIterator()`
`GPathResult` | `parents()`
`protected void` | `replaceBody(Object newValue)`
`protected void` | `replaceNode(Closure newValue)`
`int` | `size()`
`String` | `text()`
`Writer` | `writeTo(Writer out)` Writes this object to the given writer.

Methods inherited from class groovy.util.slurpersupport.GPathResult
`breadthFirst, children, declareNamespace, depthFirst, equals, getAt, getBody, getProperty, isEmpty, leftShift, list, lookupNamespace, name, parent, plus, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeChild

    public NodeChild(Node node,
                     GPathResult parent,
                     String namespacePrefix,
                     Map<String,String> namespaceTagHints)

  Parameters:
    `node` - a node
    `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `namespacePrefix` - the namespace prefix if any
    `namespaceTagHints` - the known tag to namespace mappings

### NodeChild

    public NodeChild(Node node,
                     GPathResult parent,
                     Map<String,String> namespaceTagHints)

  Parameters:
    `node` - a node
    `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `namespaceTagHints` - the known tag to namespace mappings

Method Detail

### size

    public int size()

  Specified by:
    `size` in class `GPathResult`

### text

    public String text()

  Specified by:
    `text` in class `GPathResult`

### namespaceURI

    public String namespaceURI()

### parents

    public GPathResult parents()

  Specified by:
    `parents` in class `GPathResult`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in class `GPathResult`

### nodeIterator

    public Iterator nodeIterator()

  Specified by:
    `nodeIterator` in class `GPathResult`

### getAt

    public Object getAt(int index)

  Overrides:
    `getAt` in class `GPathResult`

### attributes

    public Map attributes()

### childNodes

    public Iterator childNodes()

  Specified by:
    `childNodes` in class `GPathResult`

### find

    public GPathResult find(Closure closure)

  Specified by:
    `find` in class `GPathResult`

### findAll

    public GPathResult findAll(Closure closure)

  Specified by:
    `findAll` in class `GPathResult`

### build

    public void build(GroovyObject builder)

### writeTo

    public Writer writeTo(Writer out)
                   throws IOException

  Description copied from interface: `Writable`

  Writes this object to the given writer.

  This is used to defer content creation until the point when it is streamed to the output destination. Oftentimes, content will be defined but not necessarily created (as is may be the case with a Closure definition.) In that case, the output is then 'deferred' to the point when it is serialized to the writer. This class may be used whenever an object should be responsible for creating its own textual representation, but creating the entire output as a single String would be inefficient (such as outputting a multi-gigabyte XML document.)

  Parameters:
    `out` - the Writer to which this Writable should output its data.
  Returns:
    the Writer that was passed
  Throws:
    `IOException` - if an error occurred while outputting data to the writer

### replaceNode

    protected void replaceNode(Closure newValue)

  Specified by:
    `replaceNode` in class `GPathResult`

### replaceBody

    protected void replaceBody(Object newValue)

  Specified by:
    `replaceBody` in class `GPathResult`

### appendNode

    protected void appendNode(Object newValue)

  Specified by:
    `appendNode` in class `GPathResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD